Bug 1633767 - [3.9] Storage upgrade fails on loaded HA cluster: the server doesn't have a resource type \"clusterservicebrokers\" and ERROR: logging before flag.Parse
Summary: [3.9] Storage upgrade fails on loaded HA cluster: the server doesn't have a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.9.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.9.z
Assignee: Scott Dodson
QA Contact: Mike Fiedler
URL:
Whiteboard:
Depends On: 1591053
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-27 17:33 UTC by Scott Dodson
Modified: 2018-11-20 03:12 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: In performance constrained clusters the storage migration may fail due to resource contention. Consequence: Upgrades may fail with storage migration issues. Fix: Upgrades now retry the storage migration 3 times. Result: Upgrades should now have a higher rate of success.
Clone Of: 1591053
Environment:
Last Closed: 2018-11-20 03:12:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2908 None None None 2018-11-20 03:12:44 UTC

Comment 1 Scott Dodson 2018-09-27 17:36:17 UTC
https://github.com/openshift/openshift-ansible/pull/10256 post

Comment 4 Mike Fiedler 2018-10-22 21:19:10 UTC
Verified on openshift-ansible 3.9.47.  Upgrade successful.

Comment 6 errata-xmlrpc 2018-11-20 03:12:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2908


Note You need to log in before you can comment on or make changes to this bug.